<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\PdfListen\TnListen\ShowTnListen;

class ShowTnListenPresenter extends \Kufer\KuferTools\Basis\PdfListen\ShowPdfListen\ShowPdfListenPresenter
{
  
  protected function _getActionParams(&$pListObj)
  {
    $pListObj->printAction = 'printTnListen';
    $pListObj->sendVHSInfoAction = 'sendVhsInfoTnListen';
    $pListObj->settingsListenAction = 'showSettingsTnListen';
  }

  

  
  protected function _getHeaderTitle()
  {
    $headertext = 'Verfügbare Listen';
    if (\DBWorkBASysSettings::isRheinsieg()) {
      $headertext = 'Anwesenheitslisten ';
    }

    return $headertext;
  }
}